Bug 1412959 - [abrt] evolution: gdk_pixbuf_finalize(): evolution killed by SIGABRT
Summary: [abrt] evolution: gdk_pixbuf_finalize(): evolution killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:753d8e3cf02babbc559a3370ed7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 09:24 UTC by Igor Gnatenko
Modified: 2018-05-29 11:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:24:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (84.89 KB, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: cgroup (229 bytes, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: core_backtrace (28.35 KB, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: dso_list (27.17 KB, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: environ (1.68 KB, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: maps (127.58 KB, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: mountinfo (3.70 KB, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: not-reportable (246 bytes, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: open_fds (4.68 KB, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details
File: var_log_messages (521 bytes, text/plain)
2017-01-13 09:25 UTC, Igor Gnatenko
no flags Details

Description Igor Gnatenko 2017-01-13 09:24:57 UTC
Description of problem:
1. Start writing message
2. Close window
3. Choose to save draft

Version-Release number of selected component:
evolution-3.23.3-1.fc26

Additional info:
reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        evolution
crash_function: gdk_pixbuf_finalize
executable:     /usr/bin/evolution
global_pid:     2535
kernel:         4.10.0-0.rc3.git1.1.fc26.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #8 gdk_pixbuf_finalize at gdk-pixbuf.c:273
 #10 g_datalist_clear at gdataset.c:273
 #11 g_object_finalize at gobject.c:1044
 #13 gtk_image_definition_unref at gtkimagedefinition.c:281
 #14 _gtk_icon_helper_clear at gtkiconhelper.c:102
 #15 gtk_icon_helper_finalize at gtkiconhelper.c:192
 #17 gtk_image_finalize at gtkimage.c:437
 #19 gtk_box_forall at gtkbox.c:2669
 #20 gtk_container_destroy at gtkcontainer.c:1700

Comment 1 Igor Gnatenko 2017-01-13 09:25:05 UTC
Created attachment 1240256 [details]
File: backtrace

Comment 2 Igor Gnatenko 2017-01-13 09:25:06 UTC
Created attachment 1240257 [details]
File: cgroup

Comment 3 Igor Gnatenko 2017-01-13 09:25:08 UTC
Created attachment 1240258 [details]
File: core_backtrace

Comment 4 Igor Gnatenko 2017-01-13 09:25:10 UTC
Created attachment 1240259 [details]
File: dso_list

Comment 5 Igor Gnatenko 2017-01-13 09:25:12 UTC
Created attachment 1240260 [details]
File: environ

Comment 6 Igor Gnatenko 2017-01-13 09:25:13 UTC
Created attachment 1240261 [details]
File: limits

Comment 7 Igor Gnatenko 2017-01-13 09:25:16 UTC
Created attachment 1240262 [details]
File: maps

Comment 8 Igor Gnatenko 2017-01-13 09:25:18 UTC
Created attachment 1240263 [details]
File: mountinfo

Comment 9 Igor Gnatenko 2017-01-13 09:25:19 UTC
Created attachment 1240264 [details]
File: namespaces

Comment 10 Igor Gnatenko 2017-01-13 09:25:21 UTC
Created attachment 1240265 [details]
File: not-reportable

Comment 11 Igor Gnatenko 2017-01-13 09:25:22 UTC
Created attachment 1240266 [details]
File: open_fds

Comment 12 Igor Gnatenko 2017-01-13 09:25:24 UTC
Created attachment 1240267 [details]
File: proc_pid_status

Comment 13 Igor Gnatenko 2017-01-13 09:25:25 UTC
Created attachment 1240268 [details]
File: var_log_messages

Comment 14 Milan Crha 2017-01-16 17:52:13 UTC
Thanks for a bug report. I tried to reproduce this (I suppose you meant to close the composer window in step 2)), but no luck, under Wayland and X11, using the same glib2 and gtk3 packages (basically up-to-date rawhide machine). Neither valgrind claims anything.

Are you able to reproduce this consistently, please?

It seems like a memory corruption caused by some part of the code.

Comment 15 Fedora End Of Life 2017-02-28 10:57:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 16 Fedora End Of Life 2018-05-03 08:10:58 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2018-05-29 11:24:58 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.